﻿@model ASP.NET_MVC5_WebShopExample.Models.ViewModels.SpecificationWithBackUrlViewModel
@{
    ViewBag.Title = "Delete";
    var Product = Model.Specification.Product;
}

<h2>Delete</h2>

<h3>Are you sure you want to delete this?</h3>
<div>
    <h4>Specification of @Html.ActionLink(Product.Name, "Edit", "Products", routeValues: new { id = Product.ProductId }, htmlAttributes: null)</h4>
    <hr />
    <dl class="dl-horizontal">
        <dt>
            @Html.DisplayNameFor(model => model.Specification.Product.Name)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Specification.Product.Name)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Specification.SpecificationType.Name)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Specification.SpecificationType.Name)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Specification.Value)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Specification.Value)
        </dd>

    </dl>

    @using (Html.BeginForm())
    {
        @Html.AntiForgeryToken()

        if(Model.BackUrl != null)
        {
            @Html.Hidden("backUrl", Model.BackUrl);
        }

        <div class="form-actions no-color">
            <input type="submit" value="Delete" class="btn btn-danger" />
            @if (Model.BackUrl == null)
            {
                @Html.ActionLink("Back to product", "Edit", "Products", new { id = Model.Specification.Product.ProductId }, new { @class = "btn btn-default" })
            }
            else
            {
                <a class="btn btn-default" href="@Model.BackUrl">Back</a>
            }
        </div>
    }
</div>
